#89 Can't Install

open
Yves YANG
5
2010-09-02
2010-09-02
Anonymous
No

Cannot complete the install because one or more required items could not be found.
Software being installed: Windows Azure PHP Development Toolkit 1.0.0.201002091324 (org.soyatec.windows.azure.pdt.feature.feature.group 1.0.0.201002091324)
Software currently installed: Eclipse IDE for PHP Developers 1.3.0.20100617-0520 (epp.package.php 1.3.0.20100617-0520)
Missing requirement: PDT Runtime Feature 2.0.0.v20090315-1850 (org.eclipse.php.feature.group 2.0.0.v20090315-1850) requires 'org.eclipse.dltk.core.feature.group [1.0.0,2.0.0)' but it could not be found
Missing requirement: PHP Development Tools (PDT) Runtime Feature 2.1.2.v20090826-1027-7L7979F8NcJKhKRU19TmWA (org.eclipse.php.feature.group 2.1.2.v20090826-1027-7L7979F8NcJKhKRU19TmWA) requires 'org.eclipse.dltk.core.feature.group [1.0.0,2.0.0)' but it could not be found
Only one of the following can be installed at once:
PDT Core Plug-in 2.2.0.v20100616-1900 (org.eclipse.php.core 2.2.0.v20100616-1900)
PDT Core Plug-in 2.1.1.v20090831-1530 (org.eclipse.php.core 2.1.1.v20090831-1530)
PDT Core Plug-in 2.0.0.v20090315-1850 (org.eclipse.php.core 2.0.0.v20090315-1850)
Cannot satisfy dependency:
From: Eclipse IDE for PHP Developers 1.3.0.20100617-0520 (epp.package.php 1.3.0.20100617-0520)
To: org.eclipse.epp.package.php.feature.feature.group [1.3.0.20100617-0520]
Cannot satisfy dependency:
From: EPP PHP Feature 1.3.0.20100617-0520 (org.eclipse.epp.package.php.feature.feature.group 1.3.0.20100617-0520)
To: org.eclipse.php.sdk.feature.group 0.0.0
Cannot satisfy dependency:
From: PHP Development Tools (PDT) Runtime Feature 2.2.0.v20100519-1400-7L7J-F8NcJTJKEUE9UhJJ (org.eclipse.php.feature.group 2.2.0.v20100519-1400-7L7J-F8NcJTJKEUE9UhJJ)
To: org.eclipse.php.core [2.2.0.v20100616-1900]
Cannot satisfy dependency:
From: PDT SDK Feature 2.0.0.v20090315-1850 (org.eclipse.php.sdk.feature.group 2.0.0.v20090315-1850)
To: org.eclipse.php.feature.group [2.0.0.v20090315-1850]
Cannot satisfy dependency:
From: PHP Development Tools (PDT) SDK Feature 2.1.1.v20090707-1108-51384QACJCQDWeNNmUTdPJewhS9O (org.eclipse.php.sdk.feature.group 2.1.1.v20090707-1108-51384QACJCQDWeNNmUTdPJewhS9O)
To: org.eclipse.php.feature.group [2.1.2.v20090826-1027-7L7979F8NcJKhKRU19TmWA]
Cannot satisfy dependency:
From: PHP Development Tools (PDT) SDK Feature 2.2.0.v20100519-1400-53-84QAN2IGRoLXQNHWOXe1La9Od (org.eclipse.php.sdk.feature.group 2.2.0.v20100519-1400-53-84QAN2IGRoLXQNHWOXe1La9Od)
To: org.eclipse.php.feature.group [2.2.0.v20100519-1400-7L7J-F8NcJTJKEUE9UhJJ]
Cannot satisfy dependency:
From: Windows Azure PDT Plug-in 1.0.0.201002091324 (org.soyatec.windows.azure.pdt 1.0.0.201002091324)
To: package org.eclipse.php.internal.core.project.properties.handlers 0.0.0
Cannot satisfy dependency:
From: Windows Azure PHP Development Toolkit 1.0.0.201002091324 (org.soyatec.windows.azure.pdt.feature.feature.group 1.0.0.201002091324)
To: org.soyatec.windows.azure.pdt [1.0.0.201002091324]

Discussion

  • Yves YANG
    Yves YANG
    2010-09-04

    The PDT is missing. You can try to use PDT eclipse distribution, which includes PDT.